/**
  ******************************************************************************
  * @file    main.c
  * @author  Milandr Application Team
  * @version V1.2.0
  * @date    18/08/2016
  * @brief   Main program body.
  ******************************************************************************
  * <br><br>
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, MILANDR SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2016 Milandr</center></h2>
  */

#include "cm4ikmcu.h"

#define CLKCTRL_PER0_CLK_MDR_PORTC_EN		((uint32_t)0x00008000)

const uint8_t current[8] = {16, 17, 18, 19, 20, 21, 22, 23};

int main(void)
{ 
	uint32_t i, j;

	CLK_CNTR->KEY     = 0x8555AAA1; // Key to access clock control 
	
	/* Enable HSE */
	CLK_CNTR->HSE0_CLK = (1 << 27);	//enable HSE
	while((CLK_CNTR->HSE0_STAT & (1 << 20)) == 0){}	//wait HSE
	CLK_CNTR->MAX_CLK = 2;					//frequency source - HSE	
	CLK_CNTR->CPU_CLK = 0;					//HSE --> Fclk
	/* Core frequency configuration complete */
	
	/* init clock of PortC */
	CLK_CNTR->PER0_CLK |= CLKCTRL_PER0_CLK_MDR_PORTC_EN;

	/* init LEDs VD7 - VD14 */	
	PORTC->KEY = 0x8555AAA1;
	PORTC->SANALOG |= (0xFF << 16);
	PORTC->SOE |= (0xFF << 16);
	PORTC->RXTX = 0;
	PORTC->SPWR[1] |= 0xFFFF;	
		
	while (1){
		/* Blink of leds in loop */
		for(j = 0; j < 8; j++){
			PORTC->SRXTX = (1 << current[j]);
			for(i = 0; i < 500000; i++){}
			PORTC->CRXTX = (1 << current[j]);
		}
	}
}



